Subject: [Bitcoin-development] Multi-sig tx execution ideas

From: Alan Reiner <[email-masked]>
Date: Fri, 28 Oct 2011 18:28:30 -0400

I just posted BIP 0010 to gist : https://gist.github.com/1321518

The goal is to provide a standard method for proposing how to spend 
multi-sig TxOuts, and collect signatures without actually having to 
understand BTC under-the-hood.  I envision, even without any program 
installed, moderately-interested users could figure out this process 
without a third-party.  The addition of an installed program that 
automatically detects .txdp files and intelligently presents the 
information to the users, could bring this functionality to even more 
users.  Perhaps I'm too optimistic, though...

This is, of course, open for discussion/improvement.  I've talked 
briefly with Gavin about this, and he suggested Base64 instead of hex 
for the block-encoding.  I'd lean towards Base58 because developers 
already have it in their codebase.  Also, the separation of fields by 
underscore characters could be changed.  Spaces would make it easier for 
C++ to read them in using stream operators "<<" and ">>".

-Alan